c
#include <bits/stdc++.h>

using namespace std;

#define int long long

signed main() {
    int h, w;
    cin >> h >> w;
    if (w > h) {
        swap(w, h);
    }
    int ans = h * w;
    while (h > 1) {
        ans += ((1 + w) * (w)) / 2;
        if (w > 1) {
            ans++;
        }
        h--;
        if (h != 1) {
            ans += w * h;
        }
    }
    ans += ((1 + w) * (w)) / 2;
    if (w > 1) {
        ans++;
    }
    cout << ans;
    return 0;
}